---
title: WeakSet.prototype.clear()
slug: Web/JavaScript/Reference/Global_Objects/WeakSet/clear
tags:
  - JavaScript
  - Method
  - Obsolete
  - Prototype
  - WeakSet
---
<div>{{JSRef}} {{obsolete_header}}</div>

<p>The <code><strong>clear()</strong></code> method used to remove all elements from a <code>WeakSet</code> object, but is no longer part of ECMAScript and its implementations.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ws</em>.clear();</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_clear_method">Using the <code>clear</code> method</h3>

<pre class="brush: js example-bad">var ws = new WeakSet();

ws.add(window);
ws.has(window);  // true

ws.clear();

ws.has(window); // false
</pre>

<h2 id="Specifications">Specifications</h2>

<p><span class="pl-s">Not part of any standard.</span></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakSet.clear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakSet")}}</li>
 <li>{{jsxref("WeakSet.prototype.delete()")}}</li>
</ul>
